New PHP Framework

Maintainers

Details

github.com/CloverPHP/npf

Source

Issues

Installs: 6

Dependents: 0

Suggesters: 0

Security: 0

Stars: 0

Watchers: 1

Forks: 0

Type:package

1.1.3 2021-06-14 19:38 UTC

This package is not auto-updated.

Last update: 2022-07-26 23:48:20 UTC


README

Composer JSON file

You wil need to create a composer.json file with the following keys at minimum:

{
    "require": {
        "php-nf\/npf": "^1.0"
    },
    "scripts": {
        "post-install-cmd": [
            "Npf\\Build\\Setup::Install"
        ],
        "post-update-cmd": [
            "Npf\\Build\\Setup::Update"
        ]
    },
    "autoload": {
        "psr-4": {
            "App\\": "App\/",
            "Config\\": "Config\/",
            "Model\\": "Model\/",
            "Module\\": "Module\/",
            "Exception\\": "Exception\/",
            "Template\\": "Template\/"
        }
    }
}